Skip to main content
PUT

Authorizations

x-api-key
string
header
required

API key used to authenticate and authorise every request. Include it in the x-api-key header.

Headers

Accept
enum<string>
required

Defines the response type.

Available options:
application/vnd.Creative Force.v2.3+json,
application/vnd.Creative Force.v2.3+xml
x-api-language
enum<string>[]

Defines the languages included in the response. If non are provided, the account default language is returned.

Value all overrides any other values present.

You can request multiple languages using a comma-separated string of languages.

The selected language must be supported by your account or a 400 error is returned.

Available options:
all,
ar_AR,
bg_BG,
bn_IN,
ca_ES,
cs_CZ,
cy_GB,
da_DK,
de_DE,
en_GB,
en_US,
el_GR,
es_NN,
es_LA,
et_EE,
fa_NN,
fi_FI,
fr_FR,
fr_CA,
he_IL,
hi_IN,
hr_HR,
hu_HU,
hy_AM,
it_IT,
ja_JP,
ko_KR,
lt_LT,
ms_MY,
nl_NL,
nb_NO,
pl_PL,
pt_BR,
ro_RO,
ru_RU,
sk_SK,
sl_SI,
sq_AL,
sr_RS,
sv_SE,
sw_NN,
th_TH,
tr_TR,
uk_UA,
vi_VN,
zh_CN,
zh_HK

Path Parameters

webhook_slug
string
required

Slug of the webhook.

Pattern: ^[A-Za-z]{8}$

Body

application/json

Webhook update payload.

method
enum<string>

HTTP method used to call the webhook URL.

Values are case-sensitive.

Available options:
get,
post
name
string

Name of the webhook.

url
string<uri>

URL that receives the webhook payload.

signing_key
string

Key used to sign outgoing webhook requests so the receiver can validate the payload. Must be alphanumeric (AZ, az, 09).

Omit to keep the existing key. When supplied, it replaces the current key.

Maximum string length: 128
Pattern: ^[A-Za-z0-9]+$
notification_emails

Email addresses that receive webhook delivery-failure notifications. Accepts either a single address as a string, or multiple addresses as an array of strings.

form
string | null

Slug of the form to scope the webhook to. When set, the webhook only fires for events on that form. Omit or set to null for an account-wide webhook.

Pattern: ^[A-Za-z]{8}$
fields
string[]

Slugs of the fields to include in the webhook payload.

Pattern: ^[A-Za-z]{8}$
events
enum<string>[]

Subscription events that trigger this webhook. For example, ["application_created", "application_submitted"].

Minimum array length: 1
Available options:
allocation_created,
allocation_payment_created,
allocation_payment_deleted,
allocation_payment_status_changed,
allocation_payment_updated,
application_category_changed,
application_chapter_changed,
application_copied,
application_created,
application_deleted,
application_eligible,
application_ineligible,
application_moderated,
application_resubmitted,
application_submitted,
application_tagged,
application_updated,
assignment_completed,
assignment_created,
collaborator_invited,
document_created,
document_deleted,
document_updated,
field_value_updated,
grant_report_created,
grant_report_submitted,
grant_status_changed,
membership_registered,
order_payment_pending,
order_payment_success,
review_task_created,
review_task_submitted,
role_granted,
user_updated

Response

Webhook updated.

events
string[]

Subscription events that trigger this webhook.

fields
object[]

Fields included in the webhook payload.

form
object | null

Form the webhook is scoped to. null when the webhook is not scoped to a specific form. When populated, returns slug, link, and name.

method
enum<string>

HTTP method used to call the webhook URL.

Available options:
get,
post
name
string

Name of the webhook.

slug
string

Slug of the webhook.

signing_key
string

Key used to sign outgoing webhook requests so the receiver can validate the payload.

url
string<uri>

URL that receives the webhook payload.

created
string<date-time>

Date and time the webhook was created.

updated
string<date-time>

Date and time the webhook was last updated.